Sidebar

zh:manual:installation:upgrade_notes_500

10 Zabbix 5.0.0 升级说明

这些说明用于从Zabbix 4.4.x升级到Zabbix 5.0.0。 所有笔记分为:

  • Critical - 升级过程和Zabbix功能更改有关的最关键信息
  • Informational - 描述Zabbix功能变化的所有剩余信息

可以从Zabbix 4.4.0之前的版本升级到Zabbix 5.0.0。 有关从以前的Zabbix版本进行升级的所有相关信息,请参阅升级过程部分 upgrade procedure

CRITICAL

最低要求的PHP版本

所需的最低PHP版本已从5.4.0升级到 7.2.0

此更改还会影响从某些发行版中的软件包安装Zabbix前端的能力。 请参阅有关在 RHEL/CentOS 7 上从软件包安装Zabbix前端的详细说明,以及受影响的 Debian/Ubuntu 版本。

不再支持IBM DB2

IBM DB2数据库不能再用作Zabbix的后端数据库。

不再支持Internet Explorer 11

Zabbix不再支持Microsoft Internet Explorer 11。

不再支持mbedTLS(PolarSSL)加密库

Zabbix不再支持mbedTLS(PolarSSL)加密库。 支持的加密库是GnuTLS和OpenSSL。

所需的最低数据库版本

Zabbix 5.0.0所需的最低 数据库版本 已提高至:

  • MySQL 5.5.62
  • MariaDB 10.0.37
  • PostgreSQL 9.2.24
  • Oracle 11.2

在MariaDB 10.2.1及之前的版本中升级

如果数据库表是使用MariaDB 10.2.1及更低版本创建的,则升级Zabbix可能会失败,因为在那些版本中,默认行格式是紧凑的。 可以通过将行格式更改为动态来解决此问题 (参见 ZBX-17690)。

启用数字(浮点)值的扩展范围

数值(浮点)数据类型现在支持约15位精度,范围从约-1.79E + 308到1.79E + 308(除了PostgreSQL 11 和早期版本).对于新安装,默认情况下是这样。 但是,在升级现有安装时,必须应用手动数据库升级补丁。

如果不应用补丁,则前端中的 System information 将显示: "Database history tables upgraded: No".

<注意重要事项>该修补程序将更改历史记录和趋势表的数据列,这些数据列通常包含大量数据,因此预计需要一些时间才能完成。 由于确切的估算值取决于服务器性能,数据库管理系统的配置和版本,并且无法预测,因此建议先在生产环境之外测试补丁程序。

请为您的数据库执行适当的补丁程序 (SQL file) :

  • database/mysql/double.sql
  • database/postgresql/double.sql
  • database/oracle/double.sql

请注意,在使用软件包进行升级时,您k可以在Zabbix Git仓库中找到以下脚本:

警告:重要!
* 仅对数据库服务器运行这些脚本。
* 在运行这些脚本之前,请确保Zabbix服务已停止。 之后重新启动服务。

请注意,使用TimescaleDB, compression support 仅在应用此修补程序后才能打开。

升级数据库表后,还请在/ui/conf/zabbix.conf.php 中将 $DB['DOUBLE_IEEE754']值设置或更新为true。

Docker映像实现了非root权限

Zabbix Docker映像已更新,以实现非根容器最佳实践。 由于更改:

  • 容器用户的所有目录都受到限制,容器所需的目录除外。 例如,Zabbix组件配置文件目录:/etc/zabbix/。
  • 端口80和443已更改为8080和8443,因为非特权用户限制使用所有<1024的端口。

已知问题:基于Nginx的映像在root下无法运行。 即将修复。

INFORMATIONAL

主机接口级别的SNMP凭据

设置SNMP接口凭据已从监控项级别移至主机 interface level. 有一个 automatic 升级过程, 可将现有SNMP监控项移至其相应的接口。 因此,例如,如果在升级之前有:

1 SNMP interface with 1 SNMP v1 item and 1 SNMP v2 item

升级后,将有2个SNMP接口:

1 SNMPv1 interface with 1 SNMP v1 item
1 SNMPv2 interface with 1 SNMP v2 item

升级之前,如果有2个相同的SNMPv3监控项具有不同的密码:

1 SNMP interface with 1 SNMP v3 item with password="alpha" and 1 SNMP v3 item with password="beta"

升级后,将有2个SNMP接口:

1 SNMPv3 interface with 1 SNMP v3 item with password="alpha"
1 SNMPv3 interface with 1 SNMP v3 item with password="beta"

更改了Zabbix PHP文件目录

下载的Zabbix前端PHP文件现在位于ui目录中,而不是 frontends/php。 使用Zabbix源进行安装时,这是相关的。

更改确认屏幕URL

问题更新(确认)屏幕的URL参数已更改。 例如,如果以前的页面参数是:

?action=acknowledge.edit&eventids[]=100

在新版本中,它们是:

?action=popup&popup_action=acknowledge.edit&eventids[]=100

在相关的开发中,当从仪表盘小部件成功更新问题时,仅重新加载该小部件,而不是整个页面。 因此,另一个显示相同问题的窗口小部件的内容将保持不变,直到下一次计划的窗口小部件刷新或完成页面刷新为止。

没有数据触发对代理可用性敏感

默认情况下,现在没有数据触发器对proxy availability敏感。

全屏模式由隐藏菜单代替

全屏模式已从前端的监控部分删除。 包含“fullscreen”的前端URL将不再起作用。 现在,通过隐藏新的 vertical menu,可以达到相同的效果(仅显示页面标题和内容)。kiosk模式(仅页面内容,完全没有页面标题)仍然存在。

下拉第一项的选项已删除

用于配置 frontend defaults 的屏幕不再具有 Dropdown first entry 选项,因为在前端主机组和主机选择的下拉列表已替换为multiselect字段。

配置参数

代理 参数 EnableRemoteCommands(将来可能会被弃用并删除) 和与新的 DenyKey/AllowKey 参数仍然受支持。升级现有代理时,除非您执行以下操作,否则将不允许使用远程命令:

  • Set EnableRemoteCommands=1
  • 删除或者注释配置 DenyKey=system.run[*]

在这种情况下,将允许无限制地使用远程命令。 要创建限制,请结合使用AllowKey和DenyKey参数。

监控项key限制

监控项key的最大允许长度已从256个字符增加到2048个字符。

最低NET-SNMP版本

现在可以手动清除Zabbix服务器和代理上的SNMP缓存。 由于添加了新的运行时控制选项,SNMP支持现在需要Net-SNMP 5.3.0或更高版本。

Redis插件更新

配置参数 Plugins.Redis.Password 已被删除,现在可以通过key的参数传输密码。有关详细信息,请参见 Redis plugin

支持的Elasticsearch版本已更改

现在支持Elasticsearch 7.X版。 不再支持较旧版本的Elasticsearch 。